wxWidgets: /home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/colour.h File Reference

| Version: 3.0.5

Classes
colour.h File Reference

enum | { wxC2S_NAME = 1 , wxC2S_CSS_SYNTAX = 2 , wxC2S_HTML_SYNTAX = 4 }
| Flags for wxColour -> wxString conversion (see wxColour::GetAsString). More...
const unsigned char | wxALPHA_TRANSPARENT = 0
| Flags for wxColour -> wxString conversion (see wxColour::GetAsString). More...
const unsigned char | wxALPHA_OPAQUE = 0xff
| Flags for wxColour -> wxString conversion (see wxColour::GetAsString). More...

## Predefined colors.
wxColour | wxNullColour
| Converts string to a wxColour best represented by the given string. More...
wxColour | wxTransparentColour
| Converts string to a wxColour best represented by the given string. More...
wxColour * | wxBLACK
| Converts string to a wxColour best represented by the given string. More...
wxColour * | wxBLUE
| Converts string to a wxColour best represented by the given string. More...
wxColour * | wxCYAN
| Converts string to a wxColour best represented by the given string. More...
wxColour * | wxGREEN
| Converts string to a wxColour best represented by the given string. More...
wxColour * | wxYELLOW
| Converts string to a wxColour best represented by the given string. More...
wxColour * | wxLIGHT_GREY
| Converts string to a wxColour best represented by the given string. More...
wxColour * | wxRED
| Converts string to a wxColour best represented by the given string. More...
wxColour * | wxWHITE
| Converts string to a wxColour best represented by the given string. More...
bool | wxFromString (const wxString &string, wxColour *colour)
| Converts string to a wxColour best represented by the given string. More...
wxString | wxToString (const wxColour &colour)
| Converts the given wxColour into a string. More...

## Classes
class | wxColour
| A colour is an object representing a combination of Red, Green, and Blue (RGB) intensity values, and is used to determine drawing colours. More...

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Flags for wxColour -> wxString conversion (see wxColour::GetAsString).

Enumerator
wxC2S_NAME |
wxC2S_CSS_SYNTAX |
wxC2S_HTML_SYNTAX |

## Function Documentation

## ◆ wxFromString()

bool wxFromString | ( | const wxString & | string,
|  | wxColour * | colour
| ) |  |

Converts string to a wxColour best represented by the given string.

Returns true on success.

See also
  wxToString(const wxColour&)

Include file:

    #include <wx/colour.h>

## ◆ wxToString()

wxString wxToString | ( | const wxColour & | colour | ) |

Converts the given wxColour into a string.

See also
  wxFromString(const wxString&, wxColour*)

Include file:

    #include <wx/colour.h>

## Variable Documentation

## ◆ wxALPHA_OPAQUE

const unsigned char wxALPHA_OPAQUE = 0xff

Flags for wxColour -> wxString conversion (see wxColour::GetAsString).

## ◆ wxALPHA_TRANSPARENT

const unsigned char wxALPHA_TRANSPARENT = 0

Flags for wxColour -> wxString conversion (see wxColour::GetAsString).

## ◆ wxBLACK

wxColour* wxBLACK

Converts string to a wxColour best represented by the given string.

Returns true on success.

See also
  wxToString(const wxColour&)

Include file:

    #include <wx/colour.h>

## ◆ wxBLUE

wxColour* wxBLUE

Converts string to a wxColour best represented by the given string.

Returns true on success.

See also
  wxToString(const wxColour&)

Include file:

    #include <wx/colour.h>

## ◆ wxCYAN

wxColour* wxCYAN

Converts string to a wxColour best represented by the given string.

Returns true on success.

See also
  wxToString(const wxColour&)

Include file:

    #include <wx/colour.h>

## ◆ wxGREEN

wxColour* wxGREEN

Converts string to a wxColour best represented by the given string.

Returns true on success.

See also
  wxToString(const wxColour&)

Include file:

    #include <wx/colour.h>

## ◆ wxLIGHT_GREY

wxColour* wxLIGHT_GREY

Converts string to a wxColour best represented by the given string.

Returns true on success.

See also
  wxToString(const wxColour&)

Include file:

    #include <wx/colour.h>

## ◆ wxNullColour

wxColour wxNullColour

Converts string to a wxColour best represented by the given string.

Returns true on success.

See also
  wxToString(const wxColour&)

Include file:

    #include <wx/colour.h>

## ◆ wxRED

wxColour* wxRED

Converts string to a wxColour best represented by the given string.

Returns true on success.

See also
  wxToString(const wxColour&)

Include file:

    #include <wx/colour.h>

## ◆ wxTransparentColour

wxColour wxTransparentColour

Converts string to a wxColour best represented by the given string.

Returns true on success.

See also
  wxToString(const wxColour&)

Include file:

    #include <wx/colour.h>

## ◆ wxWHITE

wxColour* wxWHITE

Converts string to a wxColour best represented by the given string.

Returns true on success.

See also
  wxToString(const wxColour&)

Include file:

    #include <wx/colour.h>

## ◆ wxYELLOW

wxColour* wxYELLOW

Converts string to a wxColour best represented by the given string.

Returns true on success.

See also
  wxToString(const wxColour&)

Include file:

    #include <wx/colour.h>